\exo{}
\q Montrer, pour $n \geq p, \sum_{k=p}^n{k\choose p} = {{n+1}\choose {p+1}}$ de deux manières : 
\subq Par récurrence 
\subq Par un calcul direct en utilisant la formule de Pascal.

\q Calculer $\displaystyle \sum_{i=1}^n{\left( \prod_{j = 0}^{p-1}{(i+j)} \right)}$



\ifwithcorrection \correction 
\q \subq Récurrence sur $n$ à $p$ fixé. 
\subq On écrit $\displaystyle {k \choose p} = {{k+1}\choose {p+1}} - {k \choose {p+1}}$ et la somme devient : 

\begin{equation*}
  \sum_{k=p}^n{k\choose p} = \sum_{k=p}^n{ \left({{k+1}\choose {p+1}} - {k \choose {p+1}}\right) } = {{n+1}\choose{p+1}} - \underbrace{{p \choose {p+1}}}_{=0}   
\end{equation*}

\q On a 
\begin{align*}
  \sum_{i=1}^n{\left( \prod_{j = 0}^{p-1}{(i+j)} \right)} &= \sum_{i=1}^n{\frac{(i+p-1)!}{(i-1)!}} \\ &= p! \sum_{i=1}^n{\frac{(i+p-1)!}{(i-1)!p!}} \\ 
                                                          &= p! \sum_{i=1}^n{{i+p-1}\choose p} \\
                                                          &= p! \sum_{i=p}^{n+p-1}{i \choose p} = p! {{n+p} \choose {p+1}}
\end{align*}
\fi
